bazel-zig-cc and llvm
---------------------

bazel-zig-cc has a performance issue when compiling many files. This repository
reproduces that.

Steps to reproduce
------------------

llvm14: 12-13 seconds to compile 64 binaries on an 8-core machine:

```
$ bazel clean; bazel shutdown; bazel build --extra_toolchains=@llvm_toolchain//:cc-toolchain-x86_64-linux ...
INFO: Starting clean (this may take a while). Consider using --async if the clean takes more than several minutes.
Starting local Bazel server and connecting to it...
INFO: Analyzed 64 targets (41 packages loaded, 1426 targets configured).
INFO: Found 64 targets...
INFO: Elapsed time: 12.454s, Critical Path: 1.11s
INFO: 321 processes: 193 internal, 128 linux-sandbox.
INFO: Build completed successfully, 321 total actions
```

zig cc: 2,5 minutes:

```
$ bazel clean; bazel shutdown; bazel build  --platforms=@zig_sdk//libc_aware/platform:linux_amd64_gnu.2.28 ...
INFO: Starting clean (this may take a while). Consider using --async if the clean takes more than several minutes.
Starting local Bazel server and connecting to it...
INFO: Analyzed 64 targets (41 packages loaded, 14450 targets configured).
INFO: Found 64 targets...
INFO: Elapsed time: 142.264s, Critical Path: 20.65s
INFO: 257 processes: 129 internal, 128 linux-sandbox.
INFO: Build completed successfully, 257 total actions
```
